<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: framework::sensoractuator::MetaDualShock3 Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1sensoractuator_1_1_meta_dual_shock3.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(10)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1sensoractuator_1_1_meta_dual_shock3-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::sensoractuator::MetaDualShock3 Class Reference<div class="ingroups"><a class="el" href="group___sensor_actuator.html">SensorActuator</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Classe intégrant la manette <a class="el" href="classframework_1_1sensoractuator_1_1_meta_dual_shock3.html" title="Classe intégrant la manette MetaDualShock3. ">MetaDualShock3</a>.  
 <a href="classframework_1_1sensoractuator_1_1_meta_dual_shock3.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_meta_dual_shock3_8h_source.html">MetaDualShock3.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::sensoractuator::MetaDualShock3:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1sensoractuator_1_1_meta_dual_shock3.png" usemap="#framework::sensoractuator::MetaDualShock3_map" alt=""/>
  <map id="framework::sensoractuator::MetaDualShock3_map" name="framework::sensoractuator::MetaDualShock3_map">
<area href="classframework_1_1sensoractuator_1_1_dual_shock3.html" title="Classe intégrant la manette DualShock3. " alt="framework::sensoractuator::DualShock3" shape="rect" coords="0,0,263,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6e7ec1472b62f7d947aaf306958803ce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6e7ec1472b62f7d947aaf306958803ce"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MetaDualShock3</b> (<a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *parent, std::string name, int port, int priority)</td></tr>
<tr class="separator:a6e7ec1472b62f7d947aaf306958803ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a104958f3ac921305ff811b43dcfb9cce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a104958f3ac921305ff811b43dcfb9cce"></a>
ButtonsMask&#160;</td><td class="memItemRight" valign="bottom"><b>ButtonsPressed</b> (void)</td></tr>
<tr class="separator:a104958f3ac921305ff811b43dcfb9cce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a271eed5bb5b7a8b547cab1831f7c1cee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a271eed5bb5b7a8b547cab1831f7c1cee"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>RollRef</b> (void)</td></tr>
<tr class="separator:a271eed5bb5b7a8b547cab1831f7c1cee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0f9e0b63be64ff9e4b8101b9c76a0d7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad0f9e0b63be64ff9e4b8101b9c76a0d7"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>PitchRef</b> (void)</td></tr>
<tr class="separator:ad0f9e0b63be64ff9e4b8101b9c76a0d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15a2713c2f5d3193b43fb424971b8978"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a15a2713c2f5d3193b43fb424971b8978"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>YawRef</b> (void)</td></tr>
<tr class="separator:a15a2713c2f5d3193b43fb424971b8978"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4939170054121b176b3cf8f69cd1c16"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa4939170054121b176b3cf8f69cd1c16"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>ZRef</b> (void)</td></tr>
<tr class="separator:aa4939170054121b176b3cf8f69cd1c16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42833e6f138c7be3d2e2509e393c0ff7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a42833e6f138c7be3d2e2509e393c0ff7"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>dYawRef</b> (void)</td></tr>
<tr class="separator:a42833e6f138c7be3d2e2509e393c0ff7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a803816571afec3da99c430b9fb1d74c0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a803816571afec3da99c430b9fb1d74c0"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>dZRef</b> (void)</td></tr>
<tr class="separator:a803816571afec3da99c430b9fb1d74c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2cb7883c02cc723588a15f12185319d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad2cb7883c02cc723588a15f12185319d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetYawRef</b> (float value)</td></tr>
<tr class="separator:ad2cb7883c02cc723588a15f12185319d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45b59fb7b46dc04328b957aae6257eb2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a45b59fb7b46dc04328b957aae6257eb2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetZRef</b> (float value)</td></tr>
<tr class="separator:a45b59fb7b46dc04328b957aae6257eb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0332478fc1df71229d848d798eb62124"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0332478fc1df71229d848d798eb62124"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>RollTrim</b> (void)</td></tr>
<tr class="separator:a0332478fc1df71229d848d798eb62124"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ceddfeceb0790bba39edba1de0a1563"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4ceddfeceb0790bba39edba1de0a1563"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>PitchTrim</b> (void)</td></tr>
<tr class="separator:a4ceddfeceb0790bba39edba1de0a1563"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad037933e73b29634ecc9ac052ccd3e06"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad037933e73b29634ecc9ac052ccd3e06"></a>
<a class="el" href="classframework_1_1core_1_1cvmatrix.html">core::cvmatrix</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>State</b> (void)</td></tr>
<tr class="separator:ad037933e73b29634ecc9ac052ccd3e06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb6bc6e482f26488aa89b960470e8579"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acb6bc6e482f26488aa89b960470e8579"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>ErrorNotify</b> (void)</td></tr>
<tr class="separator:acb6bc6e482f26488aa89b960470e8579"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acee42215c1d47b3ccc11a1cc1bc7a691"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acee42215c1d47b3ccc11a1cc1bc7a691"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Rumble</b> (uint8_t left_force, uint8_t left_timeout=20, uint8_t right_force=0, uint8_t right_timeout=0)</td></tr>
<tr class="separator:acee42215c1d47b3ccc11a1cc1bc7a691"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9d4342db56075513896466339a239f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af9d4342db56075513896466339a239f2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetLedON</b> (Led led)</td></tr>
<tr class="separator:af9d4342db56075513896466339a239f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b570b86d5a96d102435c6a35939238b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1b570b86d5a96d102435c6a35939238b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetLedOFF</b> (Led led)</td></tr>
<tr class="separator:a1b570b86d5a96d102435c6a35939238b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cfeb31a536c846790c1707934713183"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2cfeb31a536c846790c1707934713183"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetLed</b> (Led led, uint8_t on_timeout, uint8_t off_timeout)</td></tr>
<tr class="separator:a2cfeb31a536c846790c1707934713183"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classframework_1_1sensoractuator_1_1_dual_shock3"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1sensoractuator_1_1_dual_shock3')"><img src="closed.png" alt="-"/>&#160;Private Types inherited from <a class="el" href="classframework_1_1sensoractuator_1_1_dual_shock3.html">framework::sensoractuator::DualShock3</a></td></tr>
<tr class="memitem:a942fff5286623a45105c9abc0de077b7 inherit pub_types_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><b>Led</b> { <b>led1</b> =1, 
<b>led2</b> =2, 
<b>led3</b> =3, 
<b>led4</b> =4
 }</td></tr>
<tr class="separator:a942fff5286623a45105c9abc0de077b7 inherit pub_types_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9dde0b4ec7bd666c7c3d069691c741dd inherit pub_types_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><b>ButtonsMask</b> { <br/>
&#160;&#160;<b>start</b> =0x08, 
<b>select</b> =0x01, 
<b>square</b> =0x8000, 
<b>triangle</b> =0x1000, 
<br/>
&#160;&#160;<b>circle</b> =0x2000, 
<b>cross</b> =0x4000, 
<b>L1</b> =0x400, 
<b>L2</b> =0x100, 
<br/>
&#160;&#160;<b>L3</b> =0x02, 
<b>R1</b> =0x800, 
<b>R2</b> =0x200, 
<b>R3</b> =0x04, 
<br/>
&#160;&#160;<b>up</b> =0x10, 
<b>down</b> =0x40, 
<b>left</b> =0x80, 
<b>right</b> =0x20
<br/>
 }</td></tr>
<tr class="separator:a9dde0b4ec7bd666c7c3d069691c741dd inherit pub_types_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3')"><img src="closed.png" alt="-"/>&#160;Private Member Functions inherited from <a class="el" href="classframework_1_1sensoractuator_1_1_dual_shock3.html">framework::sensoractuator::DualShock3</a></td></tr>
<tr class="memitem:afe835441824e56a3f4cc0e70ba021323 inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afe835441824e56a3f4cc0e70ba021323"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>DualShock3</b> (<a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *parent, std::string name, int port, int priority)</td></tr>
<tr class="separator:afe835441824e56a3f4cc0e70ba021323 inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa0fdd8edd7199d8c8e684686607226a inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaa0fdd8edd7199d8c8e684686607226a"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>Roll</b> (void)</td></tr>
<tr class="separator:aaa0fdd8edd7199d8c8e684686607226a inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4636d5143adadba0b7d9ee3a95509230 inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4636d5143adadba0b7d9ee3a95509230"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>Pitch</b> (void)</td></tr>
<tr class="separator:a4636d5143adadba0b7d9ee3a95509230 inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8712e5806573c7255bd61252e70a71c1 inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8712e5806573c7255bd61252e70a71c1"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>Yaw</b> (void)</td></tr>
<tr class="separator:a8712e5806573c7255bd61252e70a71c1 inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd80175538220e891483dbf6eefad943 inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acd80175538220e891483dbf6eefad943"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>Thrust</b> (void)</td></tr>
<tr class="separator:acd80175538220e891483dbf6eefad943 inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4859f6ce2a1c303a4e8d1c8b6287631a inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4859f6ce2a1c303a4e8d1c8b6287631a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Rumble</b> (uint8_t left_force, uint8_t left_timeout=20, uint8_t right_force=0, uint8_t right_timeout=0)</td></tr>
<tr class="separator:a4859f6ce2a1c303a4e8d1c8b6287631a inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd17b1699050ff1f9b6cb5125cf3adc8 inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abd17b1699050ff1f9b6cb5125cf3adc8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetLedON</b> (Led led)</td></tr>
<tr class="separator:abd17b1699050ff1f9b6cb5125cf3adc8 inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac79e76f675567b69e26703ef0674629c inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac79e76f675567b69e26703ef0674629c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetLedOFF</b> (Led led)</td></tr>
<tr class="separator:ac79e76f675567b69e26703ef0674629c inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5784dcc08c784fde08f7ea10fe821f9 inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae5784dcc08c784fde08f7ea10fe821f9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetLed</b> (Led led, uint8_t on_timeout, uint8_t off_timeout)</td></tr>
<tr class="separator:ae5784dcc08c784fde08f7ea10fe821f9 inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedca177834b5a093444d0b255bebc407 inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aedca177834b5a093444d0b255bebc407"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsConnected</b> (void)</td></tr>
<tr class="separator:aedca177834b5a093444d0b255bebc407 inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cd509d0cade8465a0d0469737c0e715 inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2cd509d0cade8465a0d0469737c0e715"></a>
core::Tab *&#160;</td><td class="memItemRight" valign="bottom"><b>SetupTab</b> (void)</td></tr>
<tr class="separator:a2cd509d0cade8465a0d0469737c0e715 inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7206a2b940d27fc1ad1e8ed2c72f2d38 inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7206a2b940d27fc1ad1e8ed2c72f2d38"></a>
ButtonsMask&#160;</td><td class="memItemRight" valign="bottom"><b>ButtonsPressed</b> (void)</td></tr>
<tr class="separator:a7206a2b940d27fc1ad1e8ed2c72f2d38 inherit pub_methods_classframework_1_1sensoractuator_1_1_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classframework_1_1core_1_1_thread"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classframework_1_1core_1_1_thread')"><img src="closed.png" alt="-"/>&#160;Static Private Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td></tr>
<tr class="memitem:a6c6e2c6e3c7b8e5b9730a21eb175c193 inherit pub_static_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a6c6e2c6e3c7b8e5b9730a21eb175c193">WarnUponSwitches</a> (bool enable)</td></tr>
<tr class="memdesc:a6c6e2c6e3c7b8e5b9730a21eb175c193 inherit pub_static_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Warn if real time / non real time switches occur.  <a href="#a6c6e2c6e3c7b8e5b9730a21eb175c193">More...</a><br/></td></tr>
<tr class="separator:a6c6e2c6e3c7b8e5b9730a21eb175c193 inherit pub_static_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Classe intégrant la manette <a class="el" href="classframework_1_1sensoractuator_1_1_meta_dual_shock3.html" title="Classe intégrant la manette MetaDualShock3. ">MetaDualShock3</a>. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><b>sensoractuator</b></li><li class="navelem"><a class="el" href="classframework_1_1sensoractuator_1_1_meta_dual_shock3.html">MetaDualShock3</a></li>
    <li class="footer">Generated on Tue Mar 25 2014 13:01:10 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
